package cn.stylefeng.guns.zjxl.cnotroller;

import cn.stylefeng.guns.zjxl.model.ZjxlBanner;
import cn.stylefeng.guns.zjxl.model.ZjxlCompanyCase;
import cn.stylefeng.guns.zjxl.model.ret.BannerCompanyCaseRet;
import cn.stylefeng.guns.zjxl.service.ZjxlBannerService;
import cn.stylefeng.guns.zjxl.service.ZjxlCompanyCaseService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;
import java.util.Optional;

/***
 * @ClassName: ZjxlBannerCnotroller
 * @Description:
 * @Auther: shi kejing
 * @Date: 2020/10/30 17:37
 */
@RestController
@Api(description = "公司官网主页")
@RequestMapping(value = "/zjxl")
public class ZjxlBannerCnotroller {

    @Autowired
    private ZjxlBannerService bannerService;

    @Autowired
    private ZjxlCompanyCaseService companyCaseService;

    @RequestMapping(value = "/findBannerById", method = RequestMethod.GET)
    @ApiOperation(value = "根据Id查看banner")
    public ZjxlBanner findBannerById(String id){
        return bannerService.findById(id);
    }

    @RequestMapping(value = "/findCompanyCaseById", method = RequestMethod.GET)
    @ApiOperation(value = "根据Id查看CompanyCase")
    public ZjxlCompanyCase findCompanyCaseById(String id){
        return companyCaseService.findById(id);
    }

    @RequestMapping(value = "/finfBannerCompanyCaseById", method = RequestMethod.GET)
    @ApiOperation(value = "两表查询，把结果放一个实体类返回(测试)")
    public List<BannerCompanyCaseRet> finfBannerCompanyCaseById(String id){
       return bannerService.finfBannerCompanyCaseById(id);
    }
}
